using EonaCat.LogStack.Core;
using System;
using System.Runtime.CompilerServices;

namespace EonaCat.LogStack.Boosters;

// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

/// <summary>
/// Adds machine name to log events
/// </summary>
public sealed class MachineNameBooster : BoosterBase
{
    private static readonly string MachineName = Environment.MachineName;

    public MachineNameBooster() : base("MachineName") { }

    [MethodImpl(MethodImplOptions.AggressiveInlining)]
    public override bool Boost(ref LogEventBuilder builder)
    {
        builder.WithProperty("MachineName", MachineName);
        return true;
    }
}
